org.eclipse.ecf.core.sharedobject.events

## Interface ISharedObjectEvent

All Superinterfaces:
  Event

All Known Subinterfaces:
  ISharedObjectCallEvent, ISharedObjectCommitEvent, ISharedObjectCreateResponseEvent, ISharedObjectMessageEvent

All Known Implementing Classes:
  RemoteSharedObjectCreateResponseEvent, RemoteSharedObjectEvent, SharedObjectCallEvent, SharedObjectCommitEvent, SharedObjectMsgEvent

    public interface ISharedObjectEvent
    extends Event

Shared object event

### Method Summary

All Methods Instance Methods Abstract Methods
`Event` `getEvent()` Get the Event from the sender shared object
`ID` `getSenderSharedObjectID()` Get ID of sender shared object responsible for this event

### Method Detail

#### getSenderSharedObjectID

    ID getSenderSharedObjectID()

Get ID of sender shared object responsible for this event

Returns:
  ID of sender shared object. Will not be null.

#### getEvent

    Event getEvent()

Get the Event from the sender shared object

Returns:
  Event the event in question